> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Генерация звуковых эффектов

> Используйте Suno звук эффекты API для создания короткого аудио, сценических звуков и звуковых ассетов для приложений, игр, видео и интерактивных медиа.



## OpenAPI

````yaml openapi/ru/suno.json POST /suno/v1/sounds
openapi: 3.1.0
info:
  title: Документация TTAPI API
  version: 1.0.0
  description: Suno AI Музыка API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/sounds:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    sound:
                      type: string
                      description: Описание желаемого звука
                    mv:
                      type: string
                      default: chirp-v5
                      description: >-
                        Используемая модель; сейчас поддерживается только
                        chirp-v5
                    type:
                      type: string
                      default: one-shot
                      description: >-
                        Тип звукового эффекта: one-shot — одиночный эффект, loop
                        — зацикленный эффект
                      enum:
                        - one-shot
                        - loop
                    bpm:
                      type: integer
                      description: >-
                        Количество ударов в минуту; допустимый диапазон: 1-300
                        BPM
                    key:
                      type: string
                      description: Тональность
                      enum:
                        - C
                        - C#
                        - Cm
                        - C#m
                        - D
                        - D#
                        - Dm
                        - D#m
                        - F
                        - F#
                        - Fm
                        - F#m
                        - G
                        - G#
                        - Gm
                        - G#m
                        - A
                        - A#
                        - Am
                        - A#m
                        - B
                        - B#
                        - Bm
                        - B#m
                  required:
                    - sound
                    - mv
                    - type
                - $ref: '#/components/schemas/IsStorageParams'
                - $ref: '#/components/schemas/HookUrlParams'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    IsStorageParams:
      type: object
      properties:
        isStorage:
          type: boolean
          default: true
          description: |-
            Сохранять ли сгенерированный звук.

            - **true**: аудио будет сохранено и будет возвращено TTAPI CDN URL.
            - **false**: будет возвращен исходный источник URL.
    HookUrlParams:
      type: object
      properties:
        hookUrl:
          type: string
          description: URL обратного уведомления
  responses:
    SuccessResponse:
      description: Запрос выполнен успешно
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
            required:
              - status
              - message
              - data
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````